EZSTREAM-FILE.SH(1)

NAME
ezstream-file - script to stream files from the command line

SYNOPSIS
ezstream-file [-hqrVv] [-p pidfile] [-T cfg_template] [file ...]

DESCRIPTION
The ezstream-file script uses an ezstream configuration file template to stream a list of files given on the command line, or via standard input. In other words, filenames are written to a temporary playlist, and a template-based configuration is generated to stream them.

The path to a configuration template must be provided, either by using the -T command line argument, or the EZSTREAM_TEMPLATE environment variable.

The configuration template must be a valid playlist configuration, and contain the follwing configuration statement inside the <media /> block:

    <filename>%FILENAME%</filename>

If no input files are specified, the list of files to be streamed are read from standard input.

Lastly, the EZSTREAM environment variable allows to specify an alternate ezstream binary.

  Command line parameters

-h  Print a summary of available command line parameters with short descriptions and exit.

-p pidfile
    ( Passed to ezstream.) Write the ezstream-file process ID (a single number) to pidfile.

-q  ( Passed to ezstream.) Be more quiet. Suppress the output that external programs send to standard error.

-r  ( Passed to ezstream.) Show a real-time stream status information line on standard output. Implies -q.

-T cfg_template
    Use the configuration in cfg_template, overriding the default set in the EZSTREAM_TEMPLATE environment variable.

-V  Print the ezstream-file version number and exit.

-v  ( Passed to ezstream.) Produce more verbose output from ezstream. Use twice for even more verbose output.

FILES
/usr/share/doc/ezstream/examples
    Directory containing example configuration files for various uses of ezstream, as well as example playlist and metadata scripts.

SEE ALSO
ezstream(1), ezstream-cfgmigrate(1)

AUTHORS
-nosplit The ezstream-file script and this manual were written by Moritz Grimm.